/* Clevads Styles 

1. General 
    Colors
    Fonts
    Hyperlinks
2. Structure
3. Menu
4. Images and Icons
5. Form
6. Elements (Buttons, Tooltip etc)
7. Media Queries

*/

/* ---------------------
   1. GENERAL
   --------------------- */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*:focus {
    outline: none;
}

/* Colors */

:root {
    --color-purple: #7860a5;
    --color-blue: #32b4ff;
    --color-green: #a9dd27;
    --color-orange: #ffa500;
    --color-red: red;
    --color-white: #ffffff;
    --color-white-off: #fdfdfd;
    --color-grey: #999999;
    --color-grey-light: #cccccc;
    --color-grey-dark: #1d1d1d;
    --color-grey-box: #373743;
    --color-grey-back: #28282f;
}

.green {
    color: var(--color-green);
}

.blue {
    color: var(--color-blue);
}

.purple {
    color: var(--color-purple);
}

.purpleback { 
    background-color: var(--color-purple);
}

.red {
    color: var(--color-red);
}

.white {
    color: var(--color-white-off);
}

.greylight {
    color: var(--color-grey-light);
}

.orange {
    color: var(--color-orange);
}

.grey {
    color: var(--color-grey);
}

.backgrey {
    background-color: var(--color-grey-back);
}

.boxgrey {
    background-color: var(--color-grey-box);
}


.bannergrey, .darkbackgrey {
    background-color: var(--color-grey-dark);
}


/* Fonts */

body {
    color: var(--color-white-off);
    font-family: verdana, helvetica, arial, sans-serif;
    text-align: left;
    vertical-align: top;
    line-height: 1.6;
}

/* headers */

h1,
h2,
h3,
h4,
h5 {
    font-weight: normal;
    text-decoration: none;
    font-family: helvetica, verdana, arial, sans-serif;
    line-height: 1;
    margin: 2rem 0 0.5rem 0;
}

h1,
h2 {
    color: var(--color-grey-light);
    font-size: 2rem;
}


h1 {
    margin: 3rem 0 0.9rem 0;
}
h1>span {
    font-size: 75%;
}

h2 {
    margin: 2rem 0 0.9rem 0;
}

h3 {
    color: var(--color-blue);
    font-size: 1.5rem;
}

h4 {
    color: var(--color-grey-light);
    font-weight: bold;
    font-size: 1rem;
}

h5 {
    color: var(--color-white-off);
    font-size: 1rem;
}

/* emphasize */

strong {
    color: var(--color-green);
    font-weight: normal;
}

/* Hyperlinks */

a:link,
a:visited {
    text-decoration: none;
    color: var(--color-grey);
    border-bottom: 1px dotted var(--color-grey);
}


a:hover,
a:active,
a:focus {
    text-decoration: none;
    color: var(--color-purple);
    border-bottom: 1px dotted var(--color-purple);
}

nav a:link,
nav a:visited {
    color: var(--color-white-off);
}

nav a:hover,
nav a:active,
nav a:focus {
    color: var(--color-blue);
}


a:link.first,
a:visited.first {
    color: var(--color-white);
    border-bottom: 1px dotted var(--color-white);
}

a:hover.first,
a:active.first,
a:focus.first {
    color: var(--color-purple);
    border-bottom: 1px dotted var(--color-purple);
}

nav a:link,
nav a:visited,
nav a:hover,
nav a:active,
nav a:focus,
.legals a:link,
.legals a:visited,
.legals a:hover,
.legals a:active,
.legals a:focus,
.upmostmenu a:link,
.upmostmenu a:visited,
.upmostmenu a:hover,
.upmostmenu a:active,
.upmostmenu a:focus {
    border-bottom: 0;
}

/* ---------------------
   2. STRUCTURE
   --------------------- */

html {
    background-color: #28282f;
}

article {
    min-height: 800px;
}

.docu div {
    margin: 0 0 1rem 0;
}

.floatleft {
    float:left;
}
.floatright {
    float:right;
}

div#serve {
    min-height: 800px;
}

div#banner {
    background-color: #1d1d1d;
    min-width: 320px;
    height: 125px;
    margin: 0px;
    padding: 0px;
    z-index: 1;
    border: 0px;
}

div#banner-register {
    background-color: #28282f;
    height: 88px;
    margin: 0px;
    padding: 0px;
    z-index: 1;
    border: 0px;
}

.fullbox {
    min-width: 320px;
    margin: 0px;
    padding: 20px 0;
    z-index: 2;
    border: 0px;
}

.centered {
    max-width: 1000px;
    margin: 0px;
    padding: 0px;
    margin-left: auto;
    margin-right: auto;
    z-index: 2;
    border: 0px;
}

.content {
    max-width: 960px;
    margin: 0px;
    padding: 20px;
    z-index: 5;
    border: 0px;
    color: var(--color-grey-light);
}

div#feedback {
    color: var(--color-orange);
    margin: 1.25rem 0 0.5rem 0;
    padding: 0px;
    z-index: 5;
    border: 0px;
    display: none;
}

.box {
    color: var(--color-grey-light);
    background-color:var(--color-grey-box);
    min-width: 330px;
    margin: 8px auto;
    padding: 2rem 1rem;
    z-index: 5;
    border: 0px;
}


.boxfloat {
    width: 330px;
    margin: 1rem;
    padding: 1rem;
    z-index: 5;
    border: 0px;
    border-radius: 0.5rem;
}


.login {
    margin: 80px auto 40px auto;
    padding-top: 20px;
    max-width: 330px;
}

footer {
    width: 100%;
    height: 1.5rem;
    bottom: 0px;
    background: #28282f;
    color: #999999;
    font-size: 0.8rem;
    padding: 0.8rem 0px;
}

footer p {
    float: left;
    clear: none;
}



/* Grid */

/* Grid Start Page */

.grid-two {
    display: grid;
    grid-template-columns: auto auto;
    margin: 0;
    padding: 0;
    clear: both;
    vertical-align: top;
}

.grid-three {
    display: grid;
    grid-template-columns: auto auto auto;
    margin: 0;
    padding: 0;
    clear: both;
    vertical-align: top;
}

.grid-item-two {
    padding: 0;
    border: 0;
}

.grid-item-three {
    margin: 0;
    padding: 0 1rem;
    border: 0;
}

/* Grid Documentation */

.gridcols2,
.gridcols3 {
    display: grid;
    clear: both;
    column-gap: 1rem;
    row-gap: 0;
    vertical-align: top;
    line-height: 1.4;
    text-align: left;
    color: var(--color-grey)
}

.gridcols2 {
    grid-template-columns: auto auto;
}

.gridcols3 {
    grid-template-columns: auto auto auto;
}


/* Helper */

.clearnone {
    clear: none;
}

.nopadding {
    padding: 0px;
}

.hide {
    display: none;
}

.show {
    display: block;
}

div#load {
    background: url("pics/wait.png") no-repeat left top;
    width: 64px;
    height: 64px;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-top: -32px;
    margin-left: -32px;
    display: none;
}


ul>li.dashed {
    list-style-type: '- ';
    margin-left: 1rem;
}


.margin0 {
    margin:0px;
}

.margin2remauto {
    margin: 2rem auto;
}

.marginleft {
    margin-left: 20px;
}


.margintop {
    margin-top: 2rem;
}

.spacy {
    margin-left: 32px;
}

.center {
    text-align: center;
}

.partialwidth {
    width: 75%;
    margin: auto;
}

.mediawidth {
    width: 100%;
}



/* ---------------------
   3. MENU
   --------------------- */

.sticky {
    /* To fix container */
    z-index: 9999;
    position: fixed;
    top: 0px;
}

nav {
    color: var(--color-white-off);
    width: 100%;
    background-color: #1d1d1d;
    position: relative;
    padding: 20px 0px;
}

nav ul,
.upmostmenu ul {
    list-style-type: none;
    margin: 0px;
    padding: 0px;
}

nav ul {
    overflow: hidden;
}

nav li,
.upmostmenu li {
    float: right;
}

nav li a,
div.droplabel {
    display: inline-block;
    text-align: center;
    margin-right: 20px;
    text-decoration: none;
}

.upmostmenu {
    height: 32px;
    color: #999999;
    float: right;
    clear: right;
    margin: 20px 20px 0 0;
}

.upmostmenu li a {
    display: inline-block;
    text-align: left;
    text-decoration: none;
}

nav li.dropdown {
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #1d1d1d;
    min-width: 220px;
    padding-top: 1rem;
    margin-left: -150px;
}

.dropdown-content a {
    color: var(--color-grey-light);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:active .dropdown-content {
    display: block;
}

/* ---------------------
   4. IMAGES AND ICONS
   --------------------- */

img {
    border: 0px;
    max-width: 100%;
    height: auto;
    margin: 1rem 0;
    vertical-align: bottom;
}

div#logo,
div#logo-blue,
div#logo-beta,
div#logo-beta-blue {
    position: absolute;
    margin: 10px 20px;
    padding: 0px;
    z-index: 2;
    border: 0px;
}

div#logo {
    width: 255px;
    height: 100px;
    background: url(pics/clevads-grey-subline-dark.svg) no-repeat top left;
}

div#logo-blue {
    width: 290px;
    height: 88px;
    background: url(pics/logo290x80blue.png) no-repeat top left;
}

div#logo-beta {
    width: 290px;
    height: 88px;
    background: url(pics/logo290x80beta.png) no-repeat top left;
}

div#logo-beta-blue {
    width: 290px;
    height: 88px;
    background: url(pics/logo290x80betablue.png) no-repeat top left;
}

div#tobias {
    background: url(pics/tobias-duering-230x230.png) no-repeat top left;
    width: 230px;
    height: 230px;
    display: inline-block;
    float: right;
    position: relative;
    text-align: left;
}

div#user {
    background: url(pics/user.png) no-repeat top left;
    width: 4.5rem;
    height: 32px;
    display: inline-block;
    float: right;
    position: relative;
    text-align: left;
}

#user:hover {
    background: url(pics/userpurple.png) no-repeat top left;
}

div#userplus {
    background: url(pics/userplus.png) no-repeat top left;
    width: 32px;
    height: 32px;
}

#userplus:hover {
    background: url(pics/userpluspurple.png) no-repeat top left;
}

div#userout {
    background: url(pics/userout.png) no-repeat top left;
    width: 32px;
    height: 32px;
}

#userout:hover {
    background: url(pics/useroutpurple.png) no-repeat top left;
}

div#usercheck {
    background: url(pics/usercheck.png) no-repeat top left;
    width: 32px;
    height: 32px;
}

#usercheck:hover {
    background: url(pics/usercheckpurple.png) no-repeat top left;
}

div#screenexample {
    margin-top: 2rem;
    background: url(pics/screenexample.png) no-repeat top left;
    width: 400px;
    height: 231px;

}

div#screenexample2 {
    background: url(pics/screenexample2.png) no-repeat top left;
    width: 282px;
    height: 282px;
}


div#erfahrungen {
    margin-top: 2rem;
    background: url(pics/clevads-erfahrungen.png) no-repeat top left;
    width: 556px;
    height: 324px;

}


div#zeitersparnis {
    margin-top: 2rem;
    background: url(pics/clevads-zeitersparnis.png) no-repeat top left;
    width: 183px;
    height: 324px;

}

div#negatives {
    margin-top: 2rem;
    background: url(pics/strukturelle-negative.png) no-repeat top left;
    width: 500px;
    height: 184px;

}

.left {
    margin: 0 1.5rem 1.5rem 0;
    float: left;
    clear: left;
}

.right {
    margin: 0 0 1.5rem 1.5rem;
    float: right;
    clear: right;
}

.vertical {
vertical-align: middle;
margin:auto 0;
}

.upshift {
    margin-top:-2rem;
}


div#widebanner {
    background: url(pics/flock.png) no-repeat top left;
    background-size: cover;
    width: 100%;
    height: auto;
    padding: 40px 70px;
    display: inline-block;
    position: relative;
    text-align: left;
}

#username {
    padding: 3px 8px;
}

/* Sprite icons */

.icon-o {
    display: inline-block;
    background-repeat: no-repeat;
    background-image: url(pics/sprite-grey.svg);
}

.icon-o:hover {
    background-image: url(pics/sprite-orange.svg);
}

.icon-p {
    display: inline-block;
    background-repeat: no-repeat;
    background-image: url(pics/sprite-purple.svg);
}

.icon-p:hover {
    background-image: url(pics/sprite-green.svg);
}

.icon-home {
    width: 24px;
    height: 24px;
    background-position: 0 0;
}

.icon-pencil {
    width: 24px;
    height: 24px;
    background-position: -40px 0;
}

.icon-lifebuoy {
    width: 24px;
    height: 24px;
    background-position: -80px 0;
}

.icon-bubble {
    width: 24px;
    height: 24px;
    background-position: -120px 0;
}

.icon-bubble2 {
    width: 24px;
    height: 24px;
    background-position: -160px 0;
}

.icon-user {
    width: 24px;
    height: 24px;
    background-position: -200px 0;
}

.icon-user-plus {
    width: 24px;
    height: 24px;
    background-position: -240px 0;
}

.icon-user-minus {
    width: 24px;
    height: 24px;
    background-position: -280px 0;
}

.icon-user-check {
    width: 24px;
    height: 24px;
    background-position: -320px 0;
}

.icon-spinner2 {
    width: 24px;
    height: 24px;
    background-position: -360px 0;
}

.icon-spinner3 {
    width: 24px;
    height: 24px;
    background-position: -400px 0;
}

.icon-enlarge {
    width: 24px;
    height: 24px;
    background-position: -440px 0;
}

.icon-shrink {
    width: 24px;
    height: 24px;
    background-position: -480px 0;
}

.icon-enlarge2 {
    width: 24px;
    height: 24px;
    background-position: -520px 0;
}

.icon-shrink2 {
    width: 24px;
    height: 24px;
    background-position: -560px 0;
}

.icon-cog {
    width: 24px;
    height: 24px;
    background-position: -600px 0;
}

.icon-bug {
    width: 24px;
    height: 24px;
    background-position: 0 -40px;
}

.icon-switch {
    width: 24px;
    height: 24px;
    background-position: -40px -40px;
}

.icon-menu {
    width: 24px;
    height: 24px;
    background-position: -80px -40px;
}

.icon-cloud-download {
    width: 24px;
    height: 24px;
    background-position: -120px -40px;
}

.icon-star-empty {
    width: 24px;
    height: 24px;
    background-position: -160px -40px;
}

.icon-star-half {
    width: 24px;
    height: 24px;
    background-position: -200px -40px;
}

.icon-star-full {
    width: 24px;
    height: 24px;
    background-position: -240px -40px;
}

.icon-heart {
    width: 24px;
    height: 24px;
    background-position: -280px -40px;
}

.icon-warning {
    width: 24px;
    height: 24px;
    background-position: -320px -40px;
}

.icon-notification {
    width: 24px;
    height: 24px;
    background-position: -360px -40px;
}

.icon-question {
    width: 24px;
    height: 24px;
    background-position: -400px -40px;
}

.icon-plus {
    width: 24px;
    height: 24px;
    background-position: -440px -40px;
}

.icon-minus {
    width: 24px;
    height: 24px;
    background-position: -480px -40px;
}

.icon-info {
    width: 24px;
    height: 24px;
    background-position: -520px -40px;
}

.icon-cancel-circle {
    width: 24px;
    height: 24px;
    background-position: -560px -40px;
}

.icon-cross {
    width: 24px;
    height: 24px;
    background-position: -600px -40px;
}

.icon-checkmark {
    width: 24px;
    height: 24px;
    background-position: 0 -80px;
}

.icon-checkmark2 {
    width: 24px;
    height: 24px;
    background-position: -40px -80px;
}

.icon-exit {
    width: 24px;
    height: 24px;
    background-position: -80px -80px;
}

.icon-checkbox-checked {
    width: 24px;
    height: 24px;
    background-position: -120px -80px;
}

.icon-checkbox-unchecked {
    width: 24px;
    height: 24px;
    background-position: -160px -80px;
}

.icon-radio-checked {
    width: 24px;
    height: 24px;
    background-position: -200px -80px;
}

.icon-radio-checked2 {
    width: 24px;
    height: 24px;
    background-position: -240px -80px;
}

.icon-radio-unchecked {
    width: 24px;
    height: 24px;
    background-position: -280px -80px;
}

.icon-new-tab {
    width: 24px;
    height: 24px;
    background-position: -320px -80px;
}

.icon-mail2 {
    width: 24px;
    height: 24px;
    background-position: -360px -80px;
}

/* ---------------------
   5. FORM
   --------------------- */

form label {
    display: inline-block;
    margin: 0 0 0 0.5rem;
}

input,
select,
textarea {
    font-family: verdana, helvetica, arial, sans-serif;
    color: #999;
    background-color: #373743;
    font-size: 1rem;
    padding: 2px;
    border: 0px;
}

input,
select {
    height: 1.4rem;
    margin: 0.5rem 0;
    border: 1px;
    border-color: #999999;
    border-style: none none solid none;
}

textarea {
    clear: both;
}

input[type="text"],
input[type="password"] {
    width: 100%;
}

input[type="checkbox"] {
    width: 14px;
    height: 1rem;
    padding: 0;
    margin: 5px 0 0 0;
}

/* 
.file-input {
    width:20rem;
    max-width: 280px;
    height: 3rem;
    border-radius: 0.25rem;
    background-color: #999999;
    position: relative;
    z-index: 1;
}

.file-input:after {
    position:absolute;
    top:1rem;
    right:1rem;
    content: "\e900";
    font-size: 1rem;
    font-family: 'icons';
    color:var(--color-green);
}

.file-input > input[type="file"] {
    float:left;
    width:100%;
    height:100%;
    margin:0;
    padding:0;
    cursor: pointer;
    position: relative;
    z-index: 4;
    opacity: 0;
}

.file-input > span {
    position:absolute;
    top: 1rem;
    left:0;
    padding: 0 3rem 0 1rem;
} 

                        <div class="file-input">
                            <input type="file" name="">
                            <span class="input-value">Select file</span>
                        </div>


*/

.item {
    float: left;
    clear: right;
    align-self: center;
}

/*.item label {
    font-size:0.75rem;
}*/

.check {
    width: 16px;
    clear: left;
}

.tag {
    margin-right: 0.5rem;
    align-self: center;
    clear: left;
}


.inputs {
    margin: 0.5rem 0;
    display: grid;
    grid-template-columns: 90px 180px;
    grid-gap: 0.5rem 0;
    justify-items: tag;
    clear: both;
}

.checkboxes {
    display: grid;
    grid-template-columns: 16px auto;
    justify-items: start;
    margin: 0;
    padding: 0;
    grid-gap: 0.5rem 0;
    clear: both;
}

/* Responsive Table */

* {
    box-sizing: border-box;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin: 2rem auto;
}

.linegrey {
    color: var(--color-grey);
}

table td,
table th {
    padding: 0.25rem;
    text-decoration: active;
    text-align: center;
    font-size: 1rem;
}

table tr {
    background-color: var(--color-grey-back);
    border-bottom: 2px solid var(--color-grey-box);
}

thead, th {
    background-color: var(--color-grey-box);
}

@media (max-width: 500px) {
    table thead {
        display: none;
    }

    table,
    table tbody,
    table tr,
    table td {
        display: block;
        width: 100%;
    }

    table td {
        text-align: right;
        padding-left: 50%;
        position: relative;
    }

    table td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 50%;
        padding-left: 0.25rem;
        font-size: 1rem;
        font-weight: bold;
        text-align: left;
    }
}

/* ---------------------
    6. ELEMENTS
   --------------------- */

p {
    text-indent: 0px;
    margin-bottom: 0.9rem;
}

/* Count Down */
#seconds, #duration{
    font-size:2rem;
}
#duration .duration, #durationSeconds .duration, #durationMinutes .duration {
    font-size:1.25rem;
}



/* Quote */
.quote {
    font-style: italic;
}

.quote::before {
    content: '"';
}

.quote::after {
    content: '"';
}

/* Info-Box */
.infobox {
    position: relative;
    background: var(--color-grey-box);
    padding: 1rem 1rem 1rem 10rem;
    /* font-style: italic; */
}

.infobox[val]::before {
    content: attr(val);
    position: absolute;
    left: 1rem;
    color: var(--color-purple);
    font-weight: bold;
    font-style: normal;
}

.tipp {
    color: var(--color-white);
}

.optional::after {
    content: ' (Optional)';
    display: absolute;
    color: var(--color-grey-light);
}


.obligatory::after {
    content: ' (Pflicht)';
    display: absolute;
    color: var(--color-green);
}

/* Lists */

ul {
    margin: 1rem 2rem;
}

.tableofcontent ul {
    margin: 0;
}

.tableofcontent li {
    list-style-type: none;
}

.second {
    margin-left: 1rem;
}

.third {
    margin-left: 2rem;
}


/* Tooltip */

.tooltip {
    background: url(pics/info.png) no-repeat center left;
    width: 24px;
    height: 24px;
    display: inline-block;
    float: right;
    position: relative;
    text-align: left;
    margin: 0 0 0 0.5rem;
}

.tooltip .info,
#user .info {
    min-width: 300px;
    max-width: 360px;
    top: 40px;
    left: 50%;
    transform: translate(-90%, 0);
    color: #eeeeee;
    background-color: #28282f;
    font-weight: normal;
    position: absolute;
    z-index: 99999999;
    box-sizing: border-box;
    display: none;
}

.tooltip .info {
    font-size: 0.8rem;
    padding: 10px 20px;
    border: 1px solid #ffffff;
    background-color: #28282f;
    border-radius: 8px;
}

#user .info {
    padding: 1rem;
    border: 1px solid var(--color-purple);
    background-color: #373743;
}

.tooltip:hover .info,
#user:hover .info {
    display: block;
}

.tooltip .info i,
#user .info i {
    position: absolute;
    bottom: 100%;
    left: 90%;
    margin-left: -16px;
    width: 32px;
    height: 16px;
    overflow: hidden;
}

.tooltip .info i {
    margin-left: -16px;
}

#user .info i {
    margin-left: -20px;
}

.tooltip .info i::after,
#user .info i::after {
    content: "";
    position: absolute;
    width: 16px;
    height: 16px;
    left: 50%;
    transform: translate(-50%, 50%) rotate(45deg);
    background-color: #28282f;
}

.tooltip .info i::after {
    border: 1px solid #ffffff;
    background-color: #28282f;
}

#user .info i::after {
    border: 1px solid var(--color-purple);
    background-color: #373743;
}

.nofloat {
    float: none;
}

h1 .tooltip .info {
    font-size: 0.5rem;
}

/* Boxes */

.boxprocess {
    padding: 4px 2rem 1rem 2rem;
}

.boxprocess::after {    
    content: "";
    position: absolute;
    width: 2.5em;
    height: 2.5rem;
    left: 50%;
    transform: translate(-50%, -0.25rem) rotate(45deg);
}

.boxprocess.last::after {
    display: none;
}

.boxprocess.purpleback::after {
    background-color: var(--color-purple);
}
.boxprocess.backgrey::after {
    background-color: var(--color-grey-back);
}
.boxprocess.boxgrey::after {
    background-color: var(--color-grey-box);
}
.boxprocess.darkbackgrey::after {
    background-color: var(--color-grey-dark);
}
.boxprocess.backgrey::after {
    background-color: var(--color-grey-back);
}


/* Button START */

.button {
    height: auto;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    display: inline-block;
    cursor: pointer;
    color: #373743;
    font-size: 1rem;
    font-weight: normal;
    padding: 0.3rem 1rem;
    text-decoration: none;
    margin: 2rem auto;
    box-shadow: 0 0 0 #373743;
}

form .button {
    margin: 0px;
}

.button:link {
    color: #373743;
}

.button:visited {
    color: #28282f;
}

.buttongreen:hover {
    animation: button 0.5s;
    border: 2px solid var(--color-green);
    color: var(--color-green);
    background-color: #373743;
}

.buttongreen {
    background-color: var(--color-green);
    border: 2px solid var(--color-green);
}

@keyframes buttongreen {
    from {
        border: 2px solid var(--color-green);
        color: #373743;
        background-color: var(--color-green);
    }

    to {
        border: 2px solid var(--color-green);
        color: var(--color-green);
        background-color: #373743;
    }
}

.buttongreen:active {
    color: var(--color-green);
    box-shadow: 0 1px 8px var(--color-green);
}

.buttonpurple {
    background-color: var(--color-purple);
    border: 2px solid var(--color-purple);
}

.buttonpurple:hover {
    animation: button 0.5s;
    border: 2px solid var(--color-purple);
    color: var(--color-purple);
    background-color: #373743;
}

@keyframes buttonpurple {
    from {
        border: 2px solid var(--color-purple);
        color: #373743;
        background-color: var(--color-purple);
    }

    to {
        border: 2px solid var(--color-purple);
        color: var(--color-purple);
        background-color: #373743;
    }
}

.buttonpurple:active {
    color: var(--color-purple);
    box-shadow: 0 1px 8px var(--color-purple);
}

.buttonblue {
    background-color: var(--color-blue);
    border: 2px solid var(--color-blue);
}

.buttonblue:hover {
    animation: button 0.5s;
    border: 2px solid var(--color-blue);
    color: var(--color-blue);
    background-color: #373743;
}

@keyframes buttonblue {
    from {
        border: 2px solid var(--color-blue);
        color: #373743;
        background-color: var(--color-blue);
    }

    to {
        border: 2px solid var(--color-blue);
        color: var(--color-blue);
        background-color: #373743;
    }
}

.buttonblue:active {
    color: var(--color-blue);
    box-shadow: 0 1px 8px var(--color-blue);
}

div#downloadfile {
    display: hidden;
}

.doublebutton { 
    margin: 0.5rem;
}

/*.button:hover, .button:focus {
    animation: buttonOut 1s;
}

@keyframes buttonOut {
    from {font-size:1rem;padding:0.5rem 1.5rem; margin:1.5rem 0 2.5rem 0;}
    to {font-size:1.1rem;padding: 0.5rem 1.5rem; margin:1.2rem 0 2.2rem 0;}
  }

  @keyframes buttonIn {
    from {box-shadow: 0 1px 16px var(--color-green);}
    to {box-shadow: 0 1px 8px  var(--color-green);}
  } */

/* ---------------------
    7. MEDIA QUERIES
   --------------------- */

@media screen and (max-width: 1000px) {
    .grid-two {
        grid-template-columns: auto;
        text-align: center;
    }

    .grid-three {
        grid-template-columns: auto;
        text-align: center;
    }

    .grid-item-two,
    .grid-item-three {
        margin: auto;
        text-align: center;
    }

    .partialwidth {
        width: 100%;
    }

    .mediawidth {
        max-width: 400px;
    }

    start h2 {
        text-align: center;
        margin: 1rem 0 0.75rem 0;
    }

    start h3 {
        text-align: center;
        margin: 0.8rem 0 0.25rem 0;
    }

    div#screenexample {
        margin: 2rem auto;
        width: 400px;
        height: 231px;
    }
}

div#tobias {
    margin: 2rem auto 0 auto;
    text-align: center;
}


@media screen and (max-width: 540px) {

    .upmostmenu {
        display: none;
    }
}

@media screen and (max-width: 420px) {
    div#screenexample {
        background: #28282f url(pics/screenexample280.png) no-repeat right bottom;
        width: 280px;
        height: 175px;
    }

    .upmostmenu {
        display: none;
    }
}